.header {
	color: #fff;
	height: 60px;
	background-color: #1f1f1f;

	@media (--desktop-min) {
		& .container {
			max-width: none;
		}
	}

	@media (--tablet-horizontal-max) {
		& .container {
			max-width: 100%;
		}
	}

	@media (--mobile) {
		height: 50px;
	}
}

.header__button-link {
	float: right;
	display: block;
	padding: 0 16px;
	height: 60px;
	border-left: 1px solid #363636;
	border-right: 1px solid #363636;
	text-align: center;
	font-weight: 800;
	color: #fff;
	text-transform: uppercase;
	font-size: 12px;
	letter-spacing: 0.06em;
	line-height: 63px;
	white-space: nowrap;
	transition: color 0.3s ease 0s;
	will-change: color;

	& svg {
		display: inline-block;
		vertical-align: top;
		fill: #fff;
		width: 15px;
		margin-top: 25px;
		margin-left: 5px;
		transition: fill 0.3s ease 0s;
		will-change: fill;
	}

	&:hover {
		color: var(--color-main);

		& svg {
			fill: var(--color-main);
		}
	}

	@media (--tablet-horizontal-max) {
		display: none;
		width: 290px;
		height: 66px;
		float: none;
		margin-top: 30px;
		font-size: 23px;
		line-height: 66px;
		border-top: 1px solid #363636;
		border-bottom: 1px solid #363636;

		& svg {
			width: 22px;
		}
	}

	@media (--mobile) {
		width: 140px;
		height: 40px;
		line-height: 42px;
		font-size: 14px;
		margin-top: 15px;

		& svg {
			width: 15px;
			margin-top: 15px;
		}
	}
}

/* Logo */
.logo {
	float: left;
	margin-top: 16px;

	@media (--desktop-min) {
		margin-left: 20px;
	}

	@media (--tablet-horizontal-max) {
		float: none;
		padding: 16px 0 0;
		text-align: center;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		margin: 0;
	}

	@media (--mobile) {
		padding: 11px 0 0;
	}
}

.logo__link {
	color: #fff;
	display: block;
	font-size: 29px;
	line-height: 29px;
	font-weight: 800;
	text-transform: uppercase;
	transition: color 0.3s ease 0s;
	will-change: color;

	&:hover {
		color: var(--color-main);
	}

	@media (--mobile) {
		font-size: 29px;
		line-height: 29px;
	}
}

/* Search */
.search {
	float: right;
	width: 60px;
	height: 60px;
	position: relative;

	& svg {
		top: 50%;
		left: 50%;
		width: 20px;
		fill: #fff;
		position: absolute;
		transform: translate(-50%, -50%);
		transition: fill 0.3s ease 0s;
		will-change: fill;
	}

	&:hover {
		& svg {
			fill: var(--color-main);
		}
	}

	@media (--tablet-horizontal-max) {
		position: relative;
		z-index: 1000;
		border-left: 1px solid #363636;
	}

	@media (--mobile) {
		width: 50px;
		height: 50px;
	}
}

.header__nav-button {
	display: none;

	@media (--tablet-horizontal-max) {
		display: block;
		float: left;
		width: 60px;
		height: 60px;
		border-right: 1px solid #363636;
		position: relative;
		z-index: 200;

		& i {
			display: block;
			width: 25px;
			height: 2px;
			margin: 0 auto;
			background-color: #fff;
			transition: background-color 0.3s ease 0s;
			will-change: background-color;

			&:not(:last-child) {
				margin-bottom: 6px;
			}
		}

		&:hover i {
			background-color: var(--color-main);
		}

		&.active {
			position: relative;

			& i {
				position: absolute;
				top: 50%;
				left: 50%;

				&:first-child {
					transform: translate(-50%, -50%) rotate(45deg);
				}

				&:last-child {
					transform: translate(-50%, -50%) rotate(-45deg);
				}
			}

			& i:nth-child(2) {
				display: none;
			}
		}
	}

	@media (--mobile) {
		width: 50px;
		height: 50px;

		& i {
			height: 2px;
			width: 24px;

			&:not(:last-child) {
				margin-bottom: 7px;
			}
		}
	}
}

/* Nav */
.nav {
	float: right;
	margin-right: 30px;
	margin-top: 12px;

	@media (--tablet-horizontal-max) {
		float: none;
		display: none;
		margin: 0 auto;
	}
}

.nav__link {
	float: left;
	color: #fff;
	display: block;
	height: 40px;
	line-height: 40px;
	font-size: 12px;
	font-weight: 800;
	letter-spacing: 0.06em;
	text-transform: uppercase;
	transition: color 0.3s ease 0s;
	will-change: color;

	&:not(:last-child) {
		margin-right: 20px;
	}

	&:hover {
		color: var(--color-main);
	}

	@media (--tablet-horizontal-max) {
		float: none;
		text-align: center;
		font-size: 45px;
		line-height: 45px;
		margin-right: 0;

		&:not(:last-child) {
			margin-bottom: 40px;
		}
	}

	@media (--mobile) {
		height: auto;
		font-size: 23px;
		line-height: 23px;
		margin-right: 0 !important;

		&:not(:last-child) {
			margin-bottom: 25px;
		}
	}
}

.header__overlay {
	display: none;

	&.active {
		display: block;
		position: absolute;
		top: 60px;
		left: 0;
		width: 100%;
		z-index: 100000;
		overflow-x: hidden;
		overflow-y: scroll;
		height: calc(100% - 60px);
		background-color: #1f1f1f;
		border-top: 1px solid #363636;

		& .container {
			height: 100%;
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: center;
			min-height: 688px;
			overflow-x: hidden;
			overflow-y: scroll;
		}

		@media (--mobile) {
			top: 50px;
			height: calc(100% - 50px);

			& .container {
				min-height: 260px;
			}
		}
	}

	& .nav,
	& .header__button-link {
		display: block;
	}
}

.header__search-overlay {
	display: none;

	&.active {
		display: block;
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		z-index: 100000;
		height: 100%;
		background-color: rgba(0, 0, 0, 0.9);
	}
}

.header__search-fieldset {
	top: 50%;
	left: 50%;
	position: absolute;
	width: 790px;
	height: 60px;
	transform: translate(-50%, -50%);

	@media (--tablet-horizontal-max) {
		width: 540px;
	}

	@media (--mobile) {
		width: 100%;
		height: 40px;
		padding: 0 20px;
	}
}

.header__search-input {
	display: block;
	width: 100%;
	height: 100%;
	color: #fff;
	font-weight: 800;
	font-size: 40px;
	border-radius: 0;
	background-color: transparent;
	padding: 0;
	box-shadow: none;
	border: 0;
	outline: none;
	appearance: none;
	border-bottom: 5px solid var(--color-main);

	@media (--mobile) {
		font-size: 24px;
		border-bottom-width: 3px;
	}
}

.header__search-submit {
	position: absolute;
	top: 0;
	right: 0;
	padding: 0;
	width: 60px;
	height: 60px;
	background-color: transparent;
	border: 0;
	outline: none;
	background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAASCAMAAABhEH5lAAAARVBMVEUAAAD///////////////////////////////////////////////////////////////////////////////////////9SnXPCAAAAFnRSTlMADeSiZyUw38S/0reKHh0H4M+PK5AZMUHm+gAAAHRJREFUGNN1kFcOgDAMQ1sa6KCD6fsfFZWCPxj+SfQUOU5U1RB98HFQlDZoMvomMyZJJcmE+WIGY+v0CNN8YDlvcfotELoKtlocMlGCqyWgEBWEj6m31/LeuH7lYvpcslig6583difjJ1xcVU9G/TGvnszvB8ukBrXZSCVvAAAAAElFTkSuQmCC);
	background-repeat: no-repeat;
	background-position: center center;

	@media (--mobile) {
		width: 40px;
		height: 40px;
		right: 20px;
	}
}

.header__search-close {
	float: right;
	width: 60px;
	height: 60px;
	position: relative;

	&::before,
	&::after {
		content: '';
		display: block;
		position: absolute;
		height: 2px;
		width: 20px;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%) rotate(45deg);
		background-color: #fff;
	}

	&::after {
		transform: translate(-50%, -50%) rotate(-45deg);
	}

	@media (--tablet-horizontal-max) {
		position: relative;
		z-index: 1000;
		margin-left: 0;
		width: 60px;
		height: 60px;
		margin-top: 0;
	}

	@media (--mobile) {
		width: 50px;
		height: 50px;
	}
}
